<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    layout:decorate="~{layout}">

<head>
    <meta charset="UTF-8">
    <title>Tugas Akhir</title>
    <style type="text/css">
        .btn {
            border-radius: 10px;
            border: none;
            background-color: #4285f4;
            color: white;
            padding-top: 5px;
            padding-bottom: 5px;
            padding-left: 10px;
            padding-right: 10px;
            font-size: 12px;
        }

        .btn:hover {
            background-color: #0a5a8c;
            color: white;
        }

        #quote-carousel {
            padding: 0 10px 30px 10px;
            margin-top: 60px;
        }

        #quote-carousel .carousel-control {
            background: none;
            color: #CACACA;
            font-size: 2.3em;
            text-shadow: none;
            margin-top: 30px;
        }

        #quote-carousel .carousel-indicators {
            position: relative;
            right: 50%;
            top: auto;
            bottom: 0px;
            margin-top: 20px;
            margin-right: -19px;
        }

        #quote-carousel .carousel-indicators li {
            width: 50px;
            height: 50px;
            cursor: pointer;
            border: 1px solid #ccc;
            box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
            border-radius: 50%;
            opacity: 0.4;
            overflow: hidden;
            transition: all .10s ease-in;
            vertical-align: middle;
        }

        #quote-carousel .carousel-indicators .active {
            width: 128px;
            height: 128px;
            opacity: 1;
            transition: all .10s;
        }

        .item blockquote {
            border-left: none;
            margin: 0;
        }

        .item blockquote p:before {
            content: "\f10d";
            font-family: 'Fontawesome';
            float: left;
            margin-right: 10px;
        }

        .card {

            background-color: white;
            border-radius: 10px;
            padding: 20px;
        }

        .card-profile {
            background-color: white;
            border-top-right-radius: 10px;
            border-top-left-radius: 10px;
            height: 100px;
            width: 100%;
        }

        .img-profile {
            height: 70px;
            width: 70px;
            background-color: #555;
            border-radius: 50%;
            background-size: cover;
            position: absolute;
            left: 50px;
            top: 80px;
            z-index: 1;
        }

        .text-title {
            color: black;
            font-size: 15px;
        }

        .btn-status {
            color: white;
            background-color: red;
            border: none;
            border-radius: 10px;
            width: 100px;
            height: 30px;
        }

        .btn-status-warning {
            color: white;
            background-color: #FFCC00;
            border: none;
            border-radius: 10px;
            width: 100px;
            height: 30px;
        }

        .btn-status-sucess {
            color: white;
            background-color: green;
            border: none;
            border-radius: 10px;
            width: 100px;
            height: 30px;
        }


        .card-body {
            background-color: white;
            border-bottom-right-radius: 10px;
            border-bottom-left-radius: 10px;
            padding-top: 140px;
            padding-left: 25px;
            padding-bottom: 25px;
            padding-right: 25px;
        }

        .name-profile {
            color: black;
            font-size: 17px;
        }

        .nim-profile {
            color: #4285f4;
            font-size: 15px;
        }
    </style>


</head>

<body>
    <section layout:fragment="main" class="content">

        <div class="breadcomb-area">
            <div class="container">
                <div class="row">
                    <div class="col-md-12 col-xs-12">
                        <div class="breadcomb-list">
                            <div class="row">
                                <div class="col-lg-6 col-md-6 col-xs-12">
                                    <div class="breadcomb-wp">
                                        <div class="breadcomb-icon">
                                            <i class="notika-icon notika-form"></i>
                                        </div>
                                        <div class="breadcomb-ctn">
                                            <h2 th:if="${note.jenis != note.jenis.JURNAL}">Seminar List</h2>
                                            <h2 th:if="${note.jenis == note.jenis.JURNAL}">Publikasi</h2>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="col-md-6 col-xs-12">
                        <div style="margin: 16px;">
                            <div>
                                <div class="col-md-12 col-xs-12 card-profile"
                                    style="background-image: url('https://images.wallpaperscraft.com/image/landscape_blue_tree_black_92069_1920x1080.jpg')">
                                </div>
                                <img th:src="${#authentication.principal.picture}" class="img-profile" alt="">
                            <div class="card-body">
                                <b class="name-profile" th:text="${mahasiswa.nama}">Nama User</b>
                                <br>
                                <b th:text="${mahasiswa.nim}" class="nim-profile">11404344</b>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="padding: 16px; text-align: center;">
                        <div class="col-md-12 col-xs-12" style="background-color: white; border-radius: 10px;">
                            <div style="width: 30px; height: 10px; background-color: #4285f4; margin-left: 40px;"></div>
                            <div style=" padding: 16px;">
                                <div class="container">
                                    <div class="row">
                                        <div class="col-md-5 col-xs-8">
                                            <div class="carousel slide" data-ride="carousel" id="quote-carousel">
                                                <!-- Carousel Slides / Quotes -->
                                                <div class="carousel-inner text-center">
                                                    <!-- Quote 1 -->
                                                    <div class="item active">
                                                        <blockquote>
                                                            <div class="row">
                                                                <div class="col-sm-8 col-sm-offset-2">
                                                                    <p>Allah tidak membebani seseorang melainkan sesuai dengan kesanggupannya..."</p>
                                                                    <small>Q.S Al-Baqarah 2:286</small>
                                                                </div>
                                                            </div>
                                                        </blockquote>
                                                    </div>
                                                    <!-- Quote 2 -->
                                                    <div class="item">
                                                        <blockquote>
                                                            <div class="row">
                                                                <div class="col-sm-8 col-sm-offset-2">
                                                                    <p>Janganlah kamu bersikap lemah dan janganlah pula kamu bersedih hati, padahal kamulah orang orang yang paling tinggi derajatnya jika kamu beriman. </p>
                                                                    <small>Q.S Al Imran 3:139</small>
                                                                </div>
                                                            </div>
                                                        </blockquote>
                                                    </div>
                                                    <!-- Quote 3 -->
                                                    <div class="item">
                                                        <blockquote>
                                                            <div class="row">
                                                                <div class="col-sm-8 col-sm-offset-2">
                                                                    <p>Berdoalah kepada-Ku pastilah aku kabulkan untukmu</p>
                                                                    <small>(Q.S Al Gafir 40:60)</small>
                                                                </div>
                                                            </div>
                                                        </blockquote>
                                                    </div>
                                                </div>

                                                <!-- Carousel Buttons Next/Prev -->
                                                <a data-slide="prev" href="#quote-carousel" class="left carousel-control"><i class="fa fa-chevron-left"></i></a>
                                                <a data-slide="next" href="#quote-carousel" class="right carousel-control"><i class="fa fa-chevron-right"></i></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <span th:if="${mahasiswa.idProdi.idJenjang.id == '01'}">
                                    <a th:if="${waiting == null}" class="btn btn-primary" th:href="@{/graduation/sempro (id = ${note.id})}"><i class="fa fa-repeat" aria-hidden="true"></i><b> Re-Upload</b></a>
                                    <a th:if="${waiting != null}" class="btn btn-primary" th:href="@{/graduation/sempro (id = ${note.id})}"><i class="fa fa-repeat" aria-hidden="true"></i><b> Revisi</b></a>
                                </span>
                                <span th:if="${mahasiswa.idProdi.idJenjang.id == '02'}">
                                    <a th:if="${waiting == null}" class="btn btn-primary" th:href="@{/graduation/sempropasca (id = ${note.id})}"><i class="fa fa-repeat" aria-hidden="true"></i><b> Re-Upload</b></a>
                                    <a th:if="${waiting != null}" class="btn btn-primary" th:href="@{/graduation/sempropasca (id = ${note.id})}"><i class="fa fa-repeat" aria-hidden="true"></i><b> Revisi</b></a>
                                </span>

                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-md-6 col-xs-12">
                    <div style="overflow-y: scroll; height: 650px;">
                        <div class="row" th:each="data : ${list}" style="padding: 16px;">
                            <div class="col-md-12 card">
                                <p th:if="${data.status.WAITING == data.status}"><b class="text-title">Please wait for your seminar to be validated by admin</b></p>
                                <p th:if="${data.status.APPROVED_AKADEMIK == data.status}"><b class="text-title">Please wait for your seminar to be validated by admin</b></p>
                                <p th:if="${data.status.REJECTED == data.status}"><b class="text-title" th:text="${data.komentar}">Your seminar has been rejected, please reupload your seminar</b></p>
                                <button class="btn-status" th:if="${data.status.REJECTED == data.status}" data-toggle="modal" th:data-target="${'#modal-komentar'+data.id}">
                                    <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                                    <b>Rejected</b>
                                </button>

                                <button class="btn-status-warning" th:if="${data.status.WAITING == data.status}" data-toggle="modal" th:data-target="${'#modal-komentar'+data.id}">
                                    <i class="fa fa-hourglass-start" aria-hidden="true"></i>
                                    <b>Waiting</b>
                                </button>

                                <button class="btn-status-warning" th:if="${data.status.APPROVED_AKADEMIK == data.status}" data-toggle="modal" th:data-target="${'#modal-komentar'+data.id}">
                                    <i class="fa fa-hourglass-start" aria-hidden="true"></i>
                                    <b>Waiting</b>
                                </button>

                                <div class="modal fade" th:id="${'modal-komentar'+data.id}" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <table class="table table-bordered">
                                                    <thead class="thead-light">
                                                    <tr>
                                                        <th></th>
                                                        <th><center>Keterangan</center></th>
                                                        <th><center>Status</center></th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr class="danger">
                                                        <td align="center">Akademik</td>
                                                        <td align="center" th:text="${data.komentarAkademik}">Akademik</td>
                                                        <td align="center">
                                                            <span class="badge badge-danger" th:if="${data.status == data.status.APPROVED}" th:text="${data.status}">Approved</span>
                                                            <span class="badge badge-danger" th:if="${data.status == data.status.APPROVED_AKADEMIK}" th:text="${'APPROVED'}">Approved</span>
                                                            <span class="badge badge-danger" th:if="${data.status == data.status.WAITING}" th:text="${data.status}">Approved</span>
                                                            <span class="badge badge-danger" th:if="${data.status == data.status.REJECTED}" th:text="${data.status}">Approved</span>
                                                        </td>
                                                    </tr>
                                                    <tr class="info">
                                                        <td align="center">Prodi</td>
                                                        <td align="center" th:text="${data.komentar}">-</td>
                                                        <td align="center">
                                                            <span class="badge badge-danger" th:if="${data.status == data.status.APPROVED}" th:text="${data.status}">Approved</span>
                                                            <span class="badge badge-danger" th:if="${data.status == data.status.APPROVED_AKADEMIK}" th:text="${'WAITING'}">Approved</span>
                                                            <span class="badge badge-danger" th:if="${data.status == data.status.WAITING}" th:text="${data.status}">Approved</span>
                                                            <span class="badge badge-danger" th:if="${data.status == data.status.REJECTED}" th:text="${data.status}">Approved</span>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                            <div class="modal-footer">

                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <button class="btn-status-sucess" th:if="${data.status.APPROVED == data.status}">
                                    <i class="fa fa-check-circle" aria-hidden="true"></i>
                                    <b>Approved</b>
                                </button>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>





</section>
</body>
<script>
    var slideIndex = 0;
    carousel();

    function carousel() {
        var i;
        var x = document.getElementsByClassName("mySlides");
        for (i = 0; i < x.length; i++) {
            x[i].style.display = "none";
        }
        slideIndex++;
        if (slideIndex > x.length) {slideIndex = 1}
        x[slideIndex-1].style.display = "block";
        setTimeout(carousel, 2000);
    }
</script>
</html>